package com.bigflix.BigFlixMovies;

import android.content.Context;

public class Storage {

    public static void storeOfferWallPoints(Context context,int points){
        int oldPoints = getOfferWallPoints(context);
        context.getSharedPreferences("MyOfferPrefs", Context.MODE_PRIVATE).edit()
                .putInt("points", oldPoints + points).commit();
    }

    public static int getOfferWallPoints(Context context){
        return context.getSharedPreferences("MyOfferPrefs", Context.MODE_PRIVATE).getInt("points", 0);
    }

    public static void storeVideoPoints(Context context,float points){
        float oldPoints = getVideoPoints(context);
        context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).edit()
                .putFloat("points", oldPoints + points).commit();
    }

    public static float getVideoPoints(Context context){
        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getFloat("points", 0);
    }
}
